using UnityEngine;

[CreateAssetMenu(menuName = "Opponent")]
public class Opponent : ScriptableObject
{

    public string enemyName;
    public Sprite enemySprite;
    public GameObject enemyPrefab;
    public int enemyCost;
    public float costMultiplier;
    public Vector2 dragPivot; // Texture offset used for mouse dragging

}
