using UnityEngine;

[CreateAssetMenu(menuName = "Upgrade")]
public class Upgrade : ScriptableObject
{

    public UpgradeTypes type;
    public string upgradeName;
    public int baseCost;
    [Tooltip("How much each additional Upgrade costs")] public float costMultiplier;
    public Sprite shopSprite;
    [Tooltip("How much each instance of this Upgrade improves the stat type")] public float effectMultiplier;

}
