using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class StoryController : MonoBehaviour
{
    [SerializeField] Text storyText, buttonText;
    [SerializeField] List<string> mostAwesomeStoryEver;
    int activeTextIndex, listLength;
    
    // Start is called before the first frame update
    void Start()
    {
        activeTextIndex = 0;
        listLength = mostAwesomeStoryEver.Count -1;
        storyText.text = mostAwesomeStoryEver[0];
    }
    
    public void OnButtonClick()
    {
        if (++activeTextIndex == listLength)
        {
            buttonText.text = "Start the Game";
        }
        else if (activeTextIndex > listLength)
        {
            SceneLoader.instance.LoadScene("Forest");
            return;
        }

        storyText.text = mostAwesomeStoryEver[activeTextIndex];
    }

}
